## org.hibernate.engine.jdbc
Interface LobCreationContext.Callback<T>

Enclosing interface:
  LobCreationContext

    public static interface LobCreationContext.Callback<T>

The callback contract for making use of the JDBC `Connection`.

Method Summary
`T` `executeOnConnection(Connection connection)` Perform whatever actions are necessary using the provided JDBC `Connection`.

Method Detail

### executeOnConnection

    T executeOnConnection(Connection connection)
                          throws SQLException

  Perform whatever actions are necessary using the provided JDBC `Connection`.

  Parameters:
    `connection` - The JDBC `Connection`.
  Returns:
    The created LOB.
  Throws:
    `SQLException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.